import { computed, defineComponent, PropType, ref } from 'vue'

import { ICalcStat, IOperators } from '../../model'
import { useUserStore } from '../../store/UserStore'
import { useRouter } from 'vue-router'
import { useGlobalStore } from '../../store/globalStore'
import { useI18n } from 'vue-i18n'

import { shared_consts } from '@src/common/shared_vuejs'
import type { IMainCard } from '@store/Modules/costanti';
import { costanti } from '@store/Modules/costanti'

import { tools } from '@tools'

export default defineComponent({
  name: 'CDashGroup',
  props: {},
  setup(props) {

    const userStore = useUserStore()
    const $router = useRouter()
    const globalStore = useGlobalStore()
    const { t } = useI18n()

    const calcstat = computed(() => userStore.my.calcstat ? userStore.my.calcstat : {
      numUsersReg: 0,
      numByTab: {},
    })

    const visustat = computed(() => {
      // @ts-ignore
      return costanti.GROUPCARDS.filter((rec: IMainCard) => rec.visuonstat)
    })

    const visulinks = computed(() => {
      // @ts-ignore
      return costanti.GROUPCARDS.filter((rec: IMainCard) => rec.link)
    })

    return {
      userStore,
      tools,
      calcstat,
      shared_consts,
      visustat,
      visulinks,
    }
  },
})
